
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>设计模式学习笔记(十)—Factory Method模式 / iVAN</title>

    <meta name="description" content="设计模式学习笔记(十)—Factory Method模式 &lt;设计模式&gt;一书对Factory Method模式是这样描述的: 定义一个用于创建对象的接口,让子类决定实例化哪一个类.FactoryMethod使一个类的实例化延迟到其子类. 我的理解:FatoryMethod模式是一种创建型模式,定义一个用于创建对象的接口的意思是说,我们要定义一个用于创建对象的接口(或者说抽象类,实际上就是个抽象工厂abstractFactory),它的内部有一个创建对象的方法,这个方法的返回值是一个接口(或者抽象类)的类型,这个方法就是FactoryMetho ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">设计模式学习笔记(十)—Factory Method模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>《设计模式》一书对Factory Method模式是这样描述的：</p>
<p>定义一个用于创建对象的接口，让子类决定实例化哪一个类。FactoryMethod使一个类的实例化延迟到其子类。</p>
<p>我的理解：FatoryMethod模式是一种创建型模式，定义一个用于创建对象的接口的意思是说，我们要定义一个用于创建对象的接口(或者说抽象类，实际上就是个抽象工厂abstractFactory)，它的内部有一个创建对象的方法，这个方法的返回值是一个接口（或者抽象类）的类型，这个方法就是FactoryMethod；让子类决定实例化哪一个类意思是说我们要定义一个实现了该创建对象的接口（或者抽象类）的子类（具体的工厂类concreteFactory），让子类决定要创建对象的具体类型的实例（实现FactoryMethod）。下面给出一个例子，代码如下:</p>
<p><code>abstract　class BallFactory{<br />
protected　abstract Ball makeBall();　//Factory Method<br />
}<br />
class BasketballFact extends BallFactory{<br />
public Ball makeBall(){　　//子类实现Factory Method决定实例化哪一个类的<br />
　return new Basketball();<br />
}<br />
}<br />
class FootballFact extends BallFactory{<br />
public Ball makeBall(){　//子类实现Factory Method决定实例化哪一个类的<br />
　return new Football();<br />
}<br />
}<br />
class　Basketball extends Ball{<br />
public void play(){<br />
　System.out.println("play the basketball");<br />
}<br />
}<br />
class Football extends Ball{<br />
public　void play(){<br />
　System.out.println("play the football");<br />
}<br />
}<br />
abstract class Ball{<br />
protected　abstract　void play();<br />
}class test{<br />
public static void main(String[] args){<br />
　BallFactory ballFactory=new BasketballFact();<br />
　Ball basketball=ballFactory.makeBall();<br />
　basketball.play();</p>
<p>　ballFactory=new FootballFact();<br />
　Ball football=ballFactory.makeBall();<br />
　football.play();<br />
}<br />
}</code></p>
<p>输出如下:</p>
<p>play the basketball</p>
<p>play the football</p>
<p>这个模式我在abstract Factory模式中已经使用过了，只是那时候还不知道有Factory Method这个模式，在我举例中的ResFactory类的getDisplayDrvr()和getPrintDrvr()实际上就是工厂方法。具体参见《设计模式学习笔记(五)—Abstract Factory抽象工厂模式》。</p>
<p>小结：Factory Method模式是一个非常常用的模式。它主要适用于:</p>
<p>1)当一个类不知道它所必须创建的对象的类的时候。</p>
<p>2)当一个类希望由它的子类来指定它所创建的对象的时候。</p>
<p>3)当类将创建对象的职责委托给多个帮助子类中的某一个，来完成这个创建对象的任务。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:38:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%bc%8f/" title="模式">模式</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e5%ad%90%e7%b1%bb/" title="子类">子类</a>, <a href="https://www.iamivan.net/tag/setup-factory/" title="setup factory">setup factory</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e7%9a%84%e5%ae%9e%e4%be%8b%e5%8c%96/" title="类的实例化">类的实例化</a>, <a href="https://www.iamivan.net/tag/factory/" title="Factory">Factory</a>, <a href="https://www.iamivan.net/tag/%e5%88%9b%e5%bb%ba%e6%a8%a1%e5%bc%8f/" title="创建模式">创建模式</a>, <a href="https://www.iamivan.net/tag/%e5%88%9b%e5%bb%ba%e8%80%85%e6%a8%a1%e5%bc%8f/" title="创建者模式">创建者模式</a>, <a href="https://www.iamivan.net/tag/factory%e6%a8%a1%e5%bc%8f/" title="Factory模式">Factory模式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>设计模式学习笔记(十)—Factory Method模式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7yEEb.html" rel="bookmark">设计模式学习笔记&lpar;八&rpar;&mdash;Template Method模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;设计模式&gt;一书对Template Method模式是这样描述的: 定义一个操作中算法的骨架,而将一些步骤延迟到子类中.不改变算法的结构而重新定义它的步骤. 我的理解:定义一个抽象类或者说接口,在它的内部定义一些抽象的方法(供TemplateMethod调用的步骤)和一个TemplateMethod方法(非抽象方法),封装了这些抽象方法的接口或抽象类就是骨架.而将它的实现延迟到子类中,也就是用子类实现它.不改变算法的结构而重新定义它的步骤,也就是改写或者实现父类的这些非TemplateMeth			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RjA3p.html" rel="bookmark">设计模式学习笔记&lpar;十六&rpar;&mdash;Proxy模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Proxy模式定义: 为其他对象提供一种代理以控制这个对象的访问. 二.模式解说 Proxy代理模式是一种结构型设计模式,主要解决的问题是:在直接访问对象时带来的问题,比如说:要访问的对象在远程的机器上.在面向对象系统中,有些对象由于某些原因(比如对象创建开销很大,或者某些操作需要安全控制,或者需要进程外的访问),直接访问会给使用者或者系统结构带来很多麻烦,我们可以在访问此对象时加上一个对此对象的访问层,这个访问层也叫代理.Proxy模式是最常见的模式,在我们生活中处处可见,例如我们买火车票			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVn9Vnz.html" rel="bookmark">设计模式学习笔记&lpar;十五&rpar;&mdash;State模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.State模式定义: 允许一个对象在其状态改变时,改变它的行为.看起来对象似乎修改了它的类. 二.模式解说 State模式主要解决的是在开发中时常遇到的根据不同的状态需要进行不同的处理操作的问题,而这样的问题,大部分人是采用switch-case语句进行处理的,这样会造成一个问题:分支过多,而且如果加入一个新的状态就需要对原来的代码进行编译.State模式采用了对这些不同的状态进行封装的方式处理这类问题,当状态改变的时候进行处理然后再切换到另一种状态,也就是说把状态的切换责任交给了具体的状态			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRy9V8b.html" rel="bookmark">设计模式学习笔记&lpar;十四&rpar;&mdash;Command模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Command模式定义: 将一个请求封装为一个对象,从而使你不同的请求对客户进行参数化:对请求排队或记录请求日志,以及支持可撤销的操作. 二.模式解说 Commad模式是一种对象行为模式,它可以对发送者(sender)和接收者(receiver)完全解耦(decoupling).(&quot;发送者&quot; 是请求操作的对象,&quot;接收者&quot; 是接收请求并执行某操作的对象.有了 &quot;解耦&quot;,发送者对接收者的接口一无所知.)这里,&quot;请求&quot;(requ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7W82M.html" rel="bookmark">设计模式学习笔记&lpar;三&rpar;&mdash;-Strategy策略模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GOF&lt;设计模式&gt;一书对Strategy模式是这样描述的: 定义一系列的算法,把他们一个个封装起来,并且使它们可相互替换.Strategy模式使算法可独立于使用它的客户而变化. Strategy模式以下列几条原则为基础: 1)每个对象都是一个具有职责的个体. 2)这些职责不同的具体实现是通过多态的使用来完成的. 3)概念上相同的算法具有多个不同的实现,需要进行管理. 下面我将通过一个实例来说明它的具体使用,这个例子是关于数据库连接的.代码如下: interface DatabaseStrate			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A2q7p.html" rel="bookmark">设计模式学习笔记&lpar;一&rpar; Facade外观模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GOF&lt;设计模式&gt;一书对Facade模式是这样描述的: 为子系统中的一组接口提供一个统一接口.Facade模式定义了一个更高层的接口,使子系统更加容易使用. 大致意思是说:使用一种比原有方式更简单的办法与系统交互.例如,我们把一个很文件的文件,放在了第二抽屉里,而第二个抽屉的钥匙放在了第一个抽屉里,我们要想取出这个文件,第一步肯定要拿到第一个抽屉的钥匙,然后打开它再拿出第二个抽屉的钥匙,最后打开第二个抽屉取出文件. 我就上面说的那个情形写一下实现代码,首先我们要实现二个子系统,呵呵,把抽屉比喻			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3Njagz.html" rel="bookmark">设计模式学习笔记&lpar;十九&rpar;&mdash;Chain of Responsibility职责链模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于本人水平有限,写出来的东西也许对初学者有所帮助.如果不小心哪位大侠看了不要见笑,哪里有不正确的地方还请批评指正.好了不说废话了. Chain of Responsibility模式定义: 为了避免请求的发送者和接收者之间的耦合关系,使多个接受对象都有机会处理请求.将这些对象连成一条链,并沿着这条链传递该请求,直到有一个对象处理它为止. 我的理解: 在不止一个对象可以处理客户端请求的时候,为了使每个对象都有处理请求的机会,把这些对象顺序地串联起来形成一个链,每个被串联的对象都有一个指向下一个对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jJa4b.html" rel="bookmark">设计模式学习笔记&lpar;十八&rpar;&mdash;Mediator中介者模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.模式定义: 用一个中介者对象来封装一系列的对象交互.中介者使各对象不需要显式的相互引用,从而使其耦合松散,而且可以独立的改变他们之间的交互. 二.结构图 1) 抽象中介者:定义同事(Colleague)对象到中介者(Mediatior)对象的接口,通常是一个事件方法. 2) 具体中介者:具体中介者实现抽象中介者声明的方法.知晓所有的具体同事类,从具体同事接收消息向另外的具体同事类发送命令. 3) 抽象同事类:定义中介者到同事对象的接口,同事对象只知道中介者而不知道其他同事对象. 三.一个例子			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PZm6M.html" rel="bookmark">设计模式学习笔记&lpar;十二&rpar;&mdash;Builder建造者模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Builder模式定义: 将一个复杂对象的构建与它的表示分离,使得同样的构建过程可以创建不同的表示. 刚接触到这个模式的时候,实在搞不明白它的意思,有什么用.于是,上网google了一圈,终于得到这个大家普遍认可的解释: 建造模式是一步一步创建一个复杂的对象,它允许用户可以只通过指定复杂对象的类型和内容就可以构建它们,用户不知道内部的具体构建细节. 下面举一个例子来说明这个模式的使用,代码如下: import java.util.ArrayList; interface Builder{ pub			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx0LQM.html" rel="bookmark" class="title">对销毁对话框的分析</a>
					<div>
						前几天发现自己的程序中使用非模态对话框,Debug版本有警告提示如下: Warning: calling DestroyWindow in CWnd::~CWnd OnDestroy or PostN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPXa8p.html" rel="bookmark" class="title">Photoshop打造高对比的暖色水景美女图片</a>
					<div>
						素材图片明暗对比比较大,处理的时候只需要把黄色部分转为橙红色,绿色及暗部颜色转为红褐色,局部再增加一些高光及补色即可. 原图 最终效果 [1] [2] [3] [4] [5] [6]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMynXPp.html" rel="bookmark" class="title">Web设计核心问题3&colon;为用户设计&lpar;8&rpar;</a>
					<div>
						web|设计|问题  3 . 11 易访问性 没有办法考虑所有人之间的微小差异.实际上,创建站点的目的是让大多数人喜欢.这导致我们把用户群综合地分为如1 8岁以下的一般女性冲浪者等等,这可能导致我们做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlrB8z.html" rel="bookmark" class="title">JavaScript窗口功能指南之关闭窗口</a>
					<div>
						当你创建了一个新窗口时,将open()方法的返回值分配给一个变量非常重要.比如,下面的语句就是创建一个新窗口,然后立即关闭它: win = window.open(&quot;http://www.d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv89Nz.html" rel="bookmark" class="title">如何用flash做除法计算题</a>
					<div>
						Math,.floor();   向下取整如: a=100;   b=7;   c=Math.floor(a/b);   d=a-b*c;   c是结果,d是余数.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz73qZz.html" rel="bookmark" class="title">防止重复提交的子程序Asp版本</a>
					<div>
						程序|重复|重复提交 此为CGI子程序的一个Asp改编版本,其中使用FileSystemObject对象中的TextStream对象的ReadAll方法.因此,需要定期清理记录文件floodcheck ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP1kKz.html" rel="bookmark" class="title">Dreamweaver8&period;0定义可编辑区域</a>
					<div>
						模板创建好后,要在模板中建立可编辑区,只有在可编辑区里,我们才可以编辑网页内容.可以将网页上任意选中的区域设置为可编辑区域,但是最好是基于HTML代码的,这样在制作的时候更加清楚. 在文档窗口中,选中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO8WRM.html" rel="bookmark" class="title">受益无穷 破解Windows Server 2008疑难杂症</a>
					<div>
						Windows Server 2008系统凭借无可比拟的安全性能以及甚人一筹的新鲜功能,吸引了许多朋友前来尝鲜试用;不过,在将Windows Server 2008系统强行安装到自己的计算机中后,这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RPYap.html" rel="bookmark" class="title">WebSphere Adapter客户定制的错误绑定</a>
					<div>
						为什么要错误绑定 关于 WebSphere Adapter 错误绑定原理与应用,可以参加作者的另外一篇文章(链接如下:http://www.ibm.com/developerworks/cn /web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEALdb.html" rel="bookmark" class="title">SQL Server 常用SQL总结</a>
					<div>
						  SQL Server 常用SQL总结 order by NAME collate Chinese_PRC_Stroke_CS_AS_KS_WS /*sqlserver分组不能以text,ntext ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNyjqb.html" rel="bookmark" class="title">安全管理软件Public PC Desktop让你的电脑远离危险</a>
					<div>
						一:软件下载与安装 用户可到2345软件大全下载该软件.下载完成后将压缩包解压,双击名称为&quot;setup.exe&quot;的可执行文件,弹出主界面如图: 图一 二:软件使用 Public P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yqlBz.html" rel="bookmark" class="title">如何给Excel表格加密</a>
					<div>
						Office办公软件在安全方面做的非常完美,因为是办公软件,所以经常可能会设计到公司机密和隐私等.因此,微软在开发Office每个版本的时候都会有给文件加密的功能,以前给大家提到过Word加密的技巧, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjg7op.html" rel="bookmark" class="title">纯语义化XHTML CSS设计表单方法</a>
					<div>
						  很多CSS爱好者不喜欢HTML表格,尤其是在制作表单的时候,虽然现在已经是XHTML CSS的年代,但表单的设计大多还在采用table来布局.那么,有没有更好的使用纯语义化XHTML CSS设计表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZNXNb.html" rel="bookmark" class="title">PS打造后期不一样的梦幻悬浮</a>
					<div>
						  首先是前期准备,构想很重要,你要明白你想要的最终效果是什么样的,以及如何去实现它,下面这张图就是最终效果,本期教程主讲一下如何制造出悬浮的妹纸,后期调色因人而异,就不多说. 为此,在前期拍摄了很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWAnop.html" rel="bookmark" class="title">微微网络电话免费打电话的方法</a>
					<div>
						  首先电脑登录微微官网. 点击&quot;注册&quot;按钮进入账号注册页面. 输入手机号码,点击&quot;语音获取验证码&quot;. 输入验证码和密码点击&quot;提交注册&quot;.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj6RLb.html" rel="bookmark" class="title">MindManager 15 有哪些新功能</a>
					<div>
						  MindManager 15是MindManager最新版本,较之前版本MindManager 14新增了许多新功能及新内容,同时也删除了一些不需要或者已经过期的功能,本文将详细介绍MindMan ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdY75M.html" rel="bookmark" class="title">ubuntu系统如何切换root用户身份？</a>
					<div>
						  1.按照下面的方式打开终端工具,或者使用终端工具的快捷键Ctrl + Alt +T 打开终端 2.终端工具打开后如下图所示,我们的操作就在这个窗口中进行 3.切换root用户的的方式一 执行命令  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o3d6b.html" rel="bookmark" class="title">二十年前是怎样开发游戏的</a>
					<div>
						知乎上有人问:&quot;贴吧都是十五六岁就用引擎写游戏的天才,大家怎么看?&quot;,感觉现在做游戏真实一件幸福的事情呀,不尽想起当年开发游戏的各种艰辛. 现在做游戏很简单,大把代码给你参考,大把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVvx6b.html" rel="bookmark" class="title">联华OK卡将不再为支付宝充值</a>
					<div>
						本报讯 (记者 任翀)近日,一则百联旗下联华0K卡转存支付宝业务停止的消息让众多网络买家颇感意外:从5月8日起,联华OK卡将不能再为支付宝充值. 事实上,联华OK卡作为常见的预存式消费卡,除了能在特约 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlOoRb.html" rel="bookmark" class="title">delphi中对象create之后，默认存放的路劲是？</a>
					<div>
						问题描述 delphi中对象create之后,默认存放的路劲是? 例如:Tinifile,Tbitmap,等等,不带路劲名,直接create('文件名.ini'), 怎么判断是否创建成功,是不是只有提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA73Evz.html" rel="bookmark" class="title">如何编程能提取多边形的中轴线&hellip;&hellip;跪求大神帮助！！！！</a>
					<div>
						问题描述 如何编程能提取多边形的中轴线--跪求大神帮助!!!! 可以简单地只对一个三角形提取其一条中线,在Arcgis中能实现这个功能,编程语言可以是VB或C#,求大神帮助-- 解决方案 三角形的中线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE9KXz.html" rel="bookmark" class="title">光标跑偏 webvi&period;&period;&period;-WebView加载一个h5网址后</a>
					<div>
						问题描述 WebView加载一个h5网址后 WebView加载一个h5网址后登陆文本输入框无法定位光标,光标在输入框外面 解决方案 这个不属于Android范畴,这是JavaScript的问题					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RxL0z.html" rel="bookmark" class="title">telerik 曲线控件样式更改？？第二种样式（有区域颜色）怎样更改啊，默认是第一种。</a>
					<div>
						问题描述 telerik 曲线控件样式更改??第二种样式(有区域颜色)怎样更改啊,默认是第一种.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBW7WM.html" rel="bookmark" class="title">全息投影技术及其实现&lpar;附素材下载&rpar;</a>
					<div>
						免责声明:文章部分内容来源于友站. (编译:Torres)我们都一直期待能够用智能手机来投射出全息影像,不过显然现在的智能手机早就具备这样的潜质,只不过你还不知道而已. 如果你正感到好奇,那么我们来告 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/boKOwvb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAyMjUxNjQ1MTcyNjU/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW1saGJtdDFibXRwYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/boKOwvb.html" rel="bookmark" class="title">PDM转换成Word文档或者XML文档</a>
					<div>
						1.打开数据库设计文档pdm,选择模板. 2.选择模板 3.选择好模板后,返回pdm文档 4.单击Generate Report,选择RTF格式 5.确定后即可保存为word文档 小注: 保存为wor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1raldp.html" rel="bookmark" class="title">编程-这个程序的声明为什么冲突？</a>
					<div>
						问题描述 这个程序的声明为什么冲突? #include #include #define MAXTITL 40 #define MAXAUTL 40 #define MAXBKS 100 void s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94BLVb.html" rel="bookmark" class="title">中天安驰A轮融资数千万元 投资方五岳资本</a>
					<div>
						ChinaVenture北京时间4月24日消息,据投中集团旗下CVSource数据库显示,中天安驰A轮融资数千万元人民币,投资方为五岳资本.中天安驰是一家专注于汽车主动安全和智能驾驶技术的公司,旗下产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR7r3b.html" rel="bookmark" class="title">5亿打造云计算基地 青岛将成东北亚数据中心</a>
					<div>
						&quot;两会&quot;胜利落下帷幕,与会人大代表和政协委员以饱满的热情.高度的责任感,提出了很多很有见地.很有价值的议案.提案和建议.市十五届人大一次会议审议通过的&lt;政府工作报告&gt;所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x1Egb.html" rel="bookmark" class="title">WCF 性能基准报告</a>
					<div>
						现在我能找到的关于WCF性能方面的文章主要有几个,一个是微软Connected Frameworks Team的Saurabh Gupta (PM)2007年初发布了一个WCF的性能测试报告 作者使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeooj0M.html" rel="bookmark" class="title">WPF 类QQ头像</a>
					<div>
						问题描述 小弟在用WPF+C#做一个类QQ的项目.QQ头像用什么控件做?听说是用ListView做,但是不会用啊!求高手帮忙! 解决方案 解决方案二:该回复于2011-02-28 14:06:58被版 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
